/********************************************************************
	file:		versioning.h
	
	purpose:	utility functions to help identify a file's version
*********************************************************************/

#ifndef _COMMON_VERSIONING_H
#define _COMMON_VERSIONING_H

// if compiling with MSVC++ use its protection against multiple inclusion
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Includes
//
#include <windows.h>


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// Functions
//

// Get a file's version information from its version resource.
bool GetResourceVersion(IN HINSTANCE hInstance, OUT WORD* lpwVersion,
                        IN UINT uBuffers);
bool GetResourceVersion(IN LPCTSTR szFile, OUT WORD* lpwVersion,
                        IN UINT uBuffers);

#endif // _COMMON_VERSIONING_H